WPJ428 + SIMCOM 8202G
=====================

<div style="margin:auto">
<img src="img/boitier-v2.jpg" style="max-width: 600px"/>
</div>


**We see this project as a way to assess how well we can regain control/understanding on our NR5G/LTE routers.**  
*And for now the answer seems to be "very little"*.

Our case study is a NR5G router as the main Internet access point in a place where we have no signal on our cellphones.
Thus, we need external antennas that are put in the roof.
Additionnaly, we want to maximizme the throughput (both RX and TX) and minimize latency while keeping a stable connection over time.

Our project is currently made of the following physical parts:
  - A custom made case that is 3D printed - [Download files](./3D_model)
  - A Compex WPJ428 board - [wi-cat.ru](https://wikidevi.wi-cat.ru/Compex_WPJ428)
  - A Simcom 8202G modema - [official site](https://www.simcom.com/product/SIM8202GM2.html)
    - Connector: M.2 key B -> PCI Express x2, S-ATA, USB 2.0/3.0 (with HSIC/SSIC), I2C or Audio
  - Some antennas, the setup is not definitive yet
    - Log-Periodic Dipole Array (LPDA) Antenna - Directional antenna LTE 800/1800/2600 MHz, MIMO, SMA - [wimo](https://www.wimo.com/en/antennas/gsm-lte-mobile-phone-antennas/60072) - [diff between yagi and lpda](https://powerfulsignal.com/blog/whats-the-difference-between-an-lpda-antenna-and-a-yagi-antenna/)
    - A cheap cross antenna - [amazon](https://www.amazon.fr/gp/product/B00BBKKULW/ref=ppx_yo_dt_b_asin_title_o04_s00)
    - Some small wifi-like antenna - [wimo, similar but different](https://www.wimo.com/en/antennas/gsm-lte-mobile-phone-antennas/60022-sma)

We try to document our journey here:
  - Guides
    - [Our own OpenWRT image for the WPJ428](./doc/compile.md)
    - [Flash OpenWRT on the WPJ428](./doc/flash.md)
    - [Manually connect a modem to the network](./doc/manual-modem.md)
    - [Our OpenWRT configuration](./doc/config.md)
    - Developped scripts
  - Problems we encountered
    - ✅ Dimensions for the board in the datasheet are wrong
    - ✅ Ethernet ports are not configured at boot
    - ✅ [The UDP+Don't Fragment bug](./doc/udp-df.md)
    - ⌛ [Tracking the bandwidth bottleneck](./doc/bottleneck.md)
    - ⌛ Signal is not optimal with an antenna under the roof
    - ⌛ Our modem never connects on NR5G Non StandAlone (NSA) aka E-utran New radio Dual Connectivity (EN-DC)
  - Experience Reports
    - [Measurements next to the eNodeB](./doc/next_antenna.md)
  - Misc
    - [Our prototype: the TP-Link TL-WDR 3600 + Huawei e3372h](./doc/proto.md)
    - [Some logs/data/info about our hardware](./doc/logs.md)
    - [Bibliography](./doc/bib.md)
    - [Some mostly useless hacks](./doc/hacks.md)




